<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_8cca4dd34e20c5344" . "bb2a30f2533c4e5" => base64_decode("ZnVsbF9uYW1" . "l"), "_28c85ce81fee65" . "32980262893b6f2" . "425" => base64_decode("dXNlcm" . "5hbWU="), "user" . "_id" => base64_decode("dXNlcl9pZA=" . "="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_8cca4dd34e20c5344bb2a30f2533c4" . "e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_28c85ce81f" . "ee653298026" . "2893b6f2425"]);
    }
}